/************************************************************************
 *                                                                      *
 * dragAndDrop.h -- CDE drag and drop functions to provide              *
 *                  basic support for file drops.                       *
 *                                                                      *
 * Written By Fredrik Jnsson                                           *
 *                                                                      *
 ************************************************************************/
/* $Id: dragAndDrop.h,v 1.3 1997/10/06 09:31:09 fjo Exp $ */

#ifndef DRAGANDDROP_H
#define DRAGANDDROP_H

#include <Dt/Dnd.h>
#include <stdio.h>
#include <errno.h>
#include <limits.h>
#include <string.h>
#include <stdlib.h>
#ifdef VMS
#include "../util/VMSparam.h"
#include <types.h>
#include <stat.h>
#include <unixio.h>
#else
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/param.h>
#include <fcntl.h>
#endif /*VMS*/
#include "../source/textBuf.h"
#include "../source/text.h"
#include "../source/nedit.h"
#include "../source/window.h"

void neditDropSetup (Widget);
void neditTransferCallback (Widget, XtPointer, XtPointer);
void fileTransferCallback (Widget, XtPointer, XtPointer);
void dataTransferCallback (Widget, XtPointer, XtPointer);

#endif /* DRAGANDDROP_H */
